/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * Main.java
 *
 * Created on 06 February 2006, 23:10
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package tpccclient;

import java.util.List;

import javax.naming.InitialContext;

import services.WarehouseService;
import entity.tpcc.Warehouse;

/**
 *
 * @author Dibyendu Majumdar
 */
public class UpdateWarehouse {

	/** Creates a new instance of Main */
	public UpdateWarehouse() {
	}

	/**
	 * @param args the command line arguments
	 */
	public static void main(String[] args) {
		try {
			InitialContext ctx = new InitialContext();
			WarehouseService ws = (WarehouseService) ctx.lookup(WarehouseService.class.getName());
			Warehouse w = new Warehouse();
			w.setCity("LONDON");
			List list = ws.find(w);
			for (Object o : list) {
				System.err.println("Updating warehouse " + o.toString());
				w = (Warehouse) o;
				w.setStreet1("TESTING");
				ws.updateWarehouse(w);
			}
		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

}
