/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package cmdline;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Persistence;

import services.CustomerService;
import services.ServiceFactory;
import entity.tpcc.Address;
import entity.tpcc.Customer;

public class QueryCustomer {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");

            ServiceFactory sf = new ServiceFactory(em);
            CustomerService cs = sf.getCustomerService();

            Customer c = new Customer();
            Address address = new Address();
            address.setCity("LONDON");
            c.setAddress(address);
            List list = cs.find(c);
            for (Object o: list) {
                System.err.println(o);
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (em != null) {
                em.close();
            }
        }
    }
}
