<f:view>
	<h1>Warehouse Maintenance - District</h1>
	<h:form>
		<h:panelGrid columns="1" rendered="#{districtBean.message != null}">
			<h:outputText value="#{districtBean.message}" styleClass="error-message" />
		</h:panelGrid>
		<h:panelGrid columns="3">
			<f:facet name="header">
				<h:outputText value="Warehouse Details" />
			</f:facet>
			<h:outputLabel value="Name of the Warehouse:" />
			<h:outputText id="warehouseName" value="#{districtBean.myWarehouse.name}" />
			<h:commandButton action="warehouse" value="Return to Warehouse" />
		</h:panelGrid>
		<h:panelGrid columns="3">
			<f:facet name="header">
				<h:outputText value="District Details" />
			</f:facet>
			<h:outputText value="Name of the District:" />
			<h:inputText value="#{districtBean.name}" size="10" maxlength="10" />
			<h:outputText value="" />
			<h:outputText value="First line of address:" />
			<h:inputText value="#{districtBean.street1}" size="20" maxlength="20" />
			<h:outputText value="" />
			<h:outputText value="Second line of address:" />
			<h:inputText value="#{districtBean.street2}"  size="20" maxlength="20" />
			<h:outputText value="" />
			<h:outputText value="City:" />
			<h:inputText value="#{districtBean.city}"  size="20" maxlength="20" />
			<h:outputText value="" />
			<h:outputText value="State:" />
			<h:inputText value="#{districtBean.state}"  size="2" maxlength="2" />
			<h:outputText value="" />
			<h:outputText value="Zip code:" />
			<h:inputText value="#{districtBean.zipCode}"  size="9" maxlength="9" />
			<h:outputText value="" />
			<h:outputText value="Tax rate:" />
			<h:inputText id="tax" value="#{districtBean.tax}"  size="4" maxlength="4">
                            <f:converter converterId="javax.faces.BigDecimal" />
			</h:inputText>
			<h:message for="tax" />
			<h:outputText value="Year to date sales:" />
			<h:inputText id="ytd" value="#{districtBean.ytd}" size="12" maxlength="12">
                            <f:converter converterId="javax.faces.BigDecimal" />
			</h:inputText>
			<h:message for="ytd" />
			<h:outputText value="Id of the Next Order for this District:" />
			<h:inputText id="nextOrderId" value="#{districtBean.nextOrderId}" size="8" maxlength="8">
                            <f:converter converterId="javax.faces.BigDecimal" />
			</h:inputText>
			<h:message for="nextOrderId" />
		</h:panelGrid>
		<h:panelGroup>
			<h:commandButton action="#{districtBean.find}" value="Find" />
			<h:commandButton action="#{districtBean.add}" value="Add" />
			<h:commandButton action="#{districtBean.save}" value="Save" rendered="#{districtBean.current != null}" />
			<h:commandButton action="#{districtBean.listDistricts}" value="Return to Districts Listing" />
		</h:panelGroup>
	</h:form>
</f:view>
