/***
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *    Project: ejb3demo
 *    Author : Dibyendu Majumdar
 *    Email  : dibyendu@mazumdar.demon.co.uk
 */
/*
 * Created on 06 February 2006, 23:10
 */

package tpccclient;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import services.WarehouseService;

/**
 *
 * @author Dibyendu Majumdar
 */
public class CreateWarehouse {

	/** Creates a new instance of Main */
	public CreateWarehouse() {
	}

	/**
	 * @param args the command line arguments
	 */
	public static void main(String[] args) {
		try {
			// TODO code application logic here
			InitialContext ctx = new InitialContext();
			WarehouseService ws = (WarehouseService) ctx.lookup(WarehouseService.class.getName());
			ws.createWarehouse("LONDON WAREHOUSE", null, null, "LONDON", null, null, null);
		} catch (NamingException ex) {
			ex.printStackTrace();
		}
	}

}
