/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package cmdline;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Persistence;

import services.DistrictService;
import services.ServiceFactory;
import entity.tpcc.District;
import entity.tpcc.Warehouse;

public class QueryDistrict {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");

            ServiceFactory sf = new ServiceFactory(em);
            DistrictService ds = sf.getDistrictService();
            Warehouse w = new Warehouse();
            w.setCity("LONDON");
            List list = ds.findAll(w);
            for (Object o: list) {
                System.err.println(o);
            }
            District d = new District();
            d.setWarehouse(w);
            list = ds.find(d);
            for (Object o: list) {
                System.err.println(o);
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (em != null) {
                em.close();
            }
        }
    }

}
