/*
 * Created on: 01-Feb-2006
 * Author: Dibyendu Majumdar
 */
package cmdline;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Persistence;

import services.ServiceFactory;
import services.WarehouseService;
import entity.tpcc.Warehouse;

public class QueryWarehouse {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");

            ServiceFactory sf = new ServiceFactory(em);
            WarehouseService ws = sf.getWarehouseService();
            
            Warehouse w = new Warehouse();
            w.setName("LONDON WAREHOUSE");
            w.setCity("LONDON");
            List list = ws.find(w);
            for (Object o: list) {
                System.err.println(o);
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (em != null) {
                em.close();
            }
        }
    }
}
