/*
 * Created on: 07-Dec-2005
 * Author: Dibyendu Majumdar
 */
package cmdline.direct;

import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Persistence;
import javax.persistence.Query;

import entity.tpcc.Warehouse;

public class ListWarehouses {

    public static void main(String[] args) {

        EntityManager em = null;
        try {
            em = Persistence.createEntityManagerFactory("em2")
                    .createEntityManager();
            System.err.println("Created entity manager");

            Query q = em.createQuery("SELECT w FROM Warehouse w");
            List resultSet = q.getResultList();
            for (Object o : resultSet) {
                Warehouse wh = (Warehouse) o;
                System.err.println(wh);
            }
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            if (em != null) {
                em.close();
            }
        }

    }

}
