<f:view>
	<h1>Warehouse Maintenance - Districts Listing</h1>
	<h:form>
		<h:panelGrid columns="1" rendered="#{districtBean.message != null}">
			<h:outputText value="#{districtBean.message}" styleClass="error-message" />
		</h:panelGrid>
		<h:panelGrid columns="3">
			<f:facet name="header">
				<h:outputText value="Warehouse Details" />
			</f:facet>
			<h:outputLabel value="Name of the Warehouse:" />
			<h:outputText id="warehouseName" value="#{districtBean.myWarehouse.name}" />
			<h:commandButton action="warehouse" value="Return to Warehouse" />
			<h:commandButton action="district" value="Add New District" />
		</h:panelGrid>
		<h:dataTable id="items" value="#{districtBean.currentSet}" var="item">
			<f:facet name="header">
				<h:outputText value="Districts" />
			</f:facet>
			<h:column>
				<f:facet name="header">
					<h:outputText value="Name" />
				</f:facet>
				<h:outputText value="#{item.name}">
				</h:outputText>
			</h:column>
			<h:column>
				<f:facet name="header">
					<h:outputText value="City" />
				</f:facet>
				<h:outputText value="#{item.city}" />
			</h:column>
			<h:column>
				<h:commandButton action="#{districtBean.edit}" value="Edit" />
			</h:column>
		</h:dataTable>
	</h:form>
</f:view>
