<f:view>
	<h1>Warehouse Maintenance</h1>
	<h:form>
		<h:panelGrid columns="1" rendered="#{warehouseBean.message != null}">
			<h:outputText value="#{warehouseBean.message}" style="color: red; font-weight: bold;" />
		</h:panelGrid>
		<h:panelGrid columns="3">
			<f:facet name="header">
				<h:outputText value="Warehouse Details" />
			</f:facet>
			<h:outputLabel value="Name of the Warehouse:" />
			<h:inputText value="#{warehouseBean.name}" size="10" maxlength="10"/>
			<h:outputText value="" />
			<h:outputText value="First line of address:" />
			<h:inputText value="#{warehouseBean.street1}" size="20" maxlength="20"/>
			<h:outputText value="" />
			<h:outputText value="Second line of address:" />
			<h:inputText value="#{warehouseBean.street2}" size="20" maxlength="20" />
			<h:outputText value="" />
			<h:outputText value="City:" />
			<h:inputText value="#{warehouseBean.city}" size="20" maxlength="20" />
			<h:outputText value="" />
			<h:outputText value="State:" />
			<h:inputText value="#{warehouseBean.state}" size="2" maxlength="2" />
			<h:outputText value="" />
			<h:outputText value="Zip code:" />
			<h:inputText value="#{warehouseBean.zipCode}" size="9" maxlength="9" />
			<h:outputText value="" />
			<h:outputText value="Tax rate:" />
			<h:inputText id="tax" value="#{warehouseBean.tax}" size="4" maxlength="4" > 
                            <f:converter converterId="javax.faces.BigDecimal" />
                        </h:inputText>
			<h:message for="tax" />
			<h:outputText value="Year to date sales:" />
			<h:inputText id="ytd" value="#{warehouseBean.ytd}" size="12" maxlength="12" >
                            <f:converter converterId="javax.faces.BigDecimal" />
                        </h:inputText>
			<h:message for="ytd"/>
		</h:panelGrid>
		<h:panelGroup>
			<h:commandButton action="#{warehouseBean.find}" value="Find" />
			<h:commandButton action="#{warehouseBean.add}" value="Add" />
			<h:commandButton action="#{warehouseBean.save}" value="Save" rendered="#{warehouseBean.current != null}" />
			<h:commandButton action="#{warehouseBean.listDistricts}" value="List Districts" rendered="#{warehouseBean.current != null}" />
		</h:panelGroup>
	</h:form>
</f:view>
